import TFPComponentRender from '../render.js'

export default class SelectRender extends TFPComponentRender {
  
  constructor(__tfp, _dataModel, _level) {
  	super(__tfp, _dataModel, _level);
  }

  getAttrHtml() {
    var attrHtml = super.getAttrHtml();
    attrHtml += " type=\"text\" readonly";
    return attrHtml;
  }

  getHtml(getComponentsHtml, parentIndent, retainStyleAttr) {
    return super.getHtml("input", false, parentIndent, retainStyleAttr);
  }
}